UbuntuUpdates.org

Package "samba"

Name: samba

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • Samba testing utilities
  • Samba Web Administration Tool

Latest version: 2:3.6.3-2ubuntu2
Release: precise (12.04)
Level: base
Repository: universe

Links

Save this URL for the latest version of "samba": https://www.ubuntuupdates.org/samba



Other versions of "samba" in Precise

Repository Area Version
base main 2:3.6.3-2ubuntu2
security universe 2:3.6.25-0ubuntu0.12.04.10
security main 2:3.6.25-0ubuntu0.12.04.10
updates universe 2:3.6.25-0ubuntu0.12.04.10
updates main 2:3.6.25-0ubuntu0.12.04.10
PPA: nathan-renniewaldock ppa 2:3.6.7-1~ppa~precise

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 2:3.6.1-3ubuntu2 2012-01-03 07:02:57 UTC

samba (2:3.6.1-3ubuntu2) precise; urgency=low

  * Add missing Multi-Arch: foreign flag on samba-common.
  * Drop unnecessary delta on debian/samba.dirs.

 -- Steve Langasek Tue, 03 Jan 2012 05:14:18 +0000

Source diff to previous version

Version: 2:3.6.1-3ubuntu1 2012-01-02 16:03:51 UTC

samba (2:3.6.1-3ubuntu1) precise; urgency=low

  * Merge from Debian testing. Remaining changes:
    + debian/patches/VERSION.patch:
      - set SAMBA_VERSION_SUFFIX to Ubuntu.
    + debian/patches/error-trans.fix-276472:
      - Add the translation of Unix Error code -ENOTSUP to NT Error Code
      - NT_STATUS_NOT_SUPPORTED to prevent the Permission denied error.
    + debian/smb.conf:
      - add "(Samba, Ubuntu)" to server string.
      - comment out the default [homes] share, and add a comment about
        "valid users = %S" to show users how to restrict access to
        \\server\username to only username.
      - Set 'usershare allow guests', so that usershare admins are
        allowed to create public shares in addition to authenticated
        ones.
      - add map to guest = Bad user, maps bad username to guest access.
    + debian/samba-common.config:
      - Do not change priority to high if dhclient3 is installed.
      - Use priority medium instead of high for the workgroup question.
    + debian/control:
      - Don't build against or suggest ctdb.
      - Add dependency on samba-common-bin to samba.
    + Add ufw integration:
      - Created debian/samba.ufw.profile
      - debian/rules, debian/samba.dirs, debian/samba.files: install
        profile
      - debian/control: have samba suggest ufw
    + Add apport hook:
      - Created debian/source_samba.py.
      - debian/rules, debian/samba.dirs, debian/samba-common-bin.files: install
    + Switch to upstart:
      - Add debian/samba.{nmbd,smbd}.upstart.
    + debian/samba.logrotate, debian/samba-common.dhcp, debian/samba.if-up:
      - Make them upstart compatible
    + debian/samba.postinst:
      - Avoid scary pdbedit warnings on first import.
    + debian/samba-common.postinst: Add more informative error message for
      the case where smb.conf was manually deleted
    + debian/patches/fix-debuglevel-name-conflict.patch: don't use 'debug_level'
      as a global variable name in an NSS module
    + Dropped:
      - debian/patches/error-trans.fix-276472
      - debian/patches/fix-debuglevel-name-conflict.patch

 -- Chuck Short Wed, 21 Dec 2011 13:18:04 +0000

Source diff to previous version

Version: 2:3.5.11~dfsg-4ubuntu4 2011-12-21 13:04:17 UTC

samba (2:3.5.11~dfsg-4ubuntu4) precise; urgency=low

  * fix LP: #907227 - Bump build dependency on libkrb5-dev to (>= 1.10+dfsg~) to
    make sure we're not getting any private symbols
    (see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=650541)
    - update debian/changelog
  * Mark Debian Vcs-* entries as XS-Debian-Vcs-*
    - update debian/control

 -- Micah Gersten Wed, 21 Dec 2011 03:45:34 -0600

907227 krb5 (libkrb5-3) 1.10+dfsg~alpha1-6 breaks on libsmbclient <= 2:3.6.1-2 making upgrades and installs broken



About   -   Send Feedback to @ubuntu_updates